Bridge (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.Bridge interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net
Interface Bridge

All Superinterfaces:
  Function, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  BigIPVlan, Vlan

    public interface Bridge

extends Function

A bridge is a connector between layer 2 networks (segments) This is a function, not a system. A system can contain bridge functions.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.sys.Function
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getBridgeId()`
`L2Interface[]` | `getInterfaces()`
`boolean` | `hasBridgeId()`
`boolean` | `hasInterfaces()`
`void` | `setBridgeId(java.lang.String id)`
`void` | `setInterfaces(L2Interface[] interfaces)`

Methods inherited from interface com.collation.platform.model.topology.sys.Function
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getBridgeId

    java.lang.String getBridgeId()
                                 throws AttributeNotSetException

  Returns:
    unique identifier for this bridge function Typically this is the numerically lowest MAC-address of all ports on the bridge Typically used in a STP id also
  Throws:
    `AttributeNotSetException`

### setBridgeId

    void setBridgeId(java.lang.String id)

### hasBridgeId

    boolean hasBridgeId()

### getInterfaces

    L2Interface[] getInterfaces()
                                throws AttributeNotSetException

  Returns:
    list of all the interfaces that the bridge is bridging beween TODO bridging is really between "ports" , of which you can have many per interface (on e.g. X25)
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Connects" reverse="false"

### setInterfaces

    void setInterfaces(L2Interface[] interfaces)

### hasInterfaces

    boolean hasInterfaces()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD